﻿using Connected.ServiceModel;
using System.ComponentModel.DataAnnotations;

namespace Common.Distributed;
public sealed class DistributedLockArgs : Dto
{
	[Required, MaxLength(128)]
	public string Entity { get; set; } = default!;

	[Required, MaxLength(128)]
	public string EntityId { get; set; } = default!;

	public TimeSpan? Duration { get; set; }
}

public sealed class DistributedLockPingArgs : PrimaryKeyArgs<Guid>
{
	public TimeSpan? Duration { get; set; }
}